[ARIES-1649] Updated version of maven bundle plugin, added dependency to EclipseLink JPA bundle using Require-Capability and changed version of EclipseLink JPA to previous one

git-svn-id: https://svn.apache.org/repos/asf/aries/trunk/jpa@1777459 13f79535-47bb-0310-9956-ffa450edef68
3 files changed
tree: c1fcaa40e503762f80388b5ab8c58104ecb27213
  1. LICENSE
  2. NOTICE
  3. README.md
  4. examples/
  5. itests/
  6. jpa-api/
  7. jpa-blueprint/
  8. jpa-cdi/
  9. jpa-container-eclipselink-adapter/
  10. jpa-container/
  11. jpa-features/
  12. jpa-parent/
  13. jpa-repository/
  14. jpa-support/
  15. pom.xml
README.md

Aries JPA

Implements the OSGi JPA Service Specification from the enterprise spec. Additionally some convenience services are provided to make it easier to use JPA in blueprint and DS.

http://aries.apache.org/modules/jpaproject.html

Running tck tests

See itests/jpa-tck-itest/README.txt

Releasing

Run the tck tests to make sure we are still conforming to the spec.

mvn clean deploy mvn release:prepare -Darguments=“-DskipTests” mvn release:perform

After the release make sure to adapt the versions in the tck test modules.